﻿@model eCommerce.ViewModels.MessageViewModel

@{
    ViewBag.Title = string.Empty;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@*<main id="faq" class="inner">
    <div class="container">
        <div class="row">*@
        <div class="margin-top-40">
            <div class="col-md-8 center-block">
                <div class="text-center">

                    @if (Model.ShowSuccessfulIcon)
                    {
                        <div style="display: flex;align-items: center;justify-content: center;margin: 1rem;">
                            <img src="/content/assets/images/checked.png" height="60" style="margin-top:15px;">
                        </div>
                    }

                    <p class="lead">
                        @Model.Message
                    </p>

                    <div class="text-center" style="margin-bottom:6rem;">
                        @switch (Model.ActionType)
                        {
                            case eCommerce.Services.Common.ActionType.Back:
                                <a href="javascript: history.back();" class="btn-lg huge"><i class="fa fa-backward"></i>  Volver</a>
                                break;

                            case eCommerce.Services.Common.ActionType.Home:
                                <a href="/" class="btn-lg huge"><i class="fa fa-home"></i>  Ir a la Home</a>
                                break;

                            case eCommerce.Services.Common.ActionType.Catalogue:
                                <a href="/shop" class="le-button big">Ver Catalogo</a>
                                break;

                            case eCommerce.Services.Common.ActionType.ShoppingCart:
                                <a href="/shopping-cart" class="btn-lg huge"><i class="fa fa-home"></i>  Volver al Carrito</a>
                                break;

                            default:
                                break;
                        }

                    </div>
                </div>
            </div>
        </div>
            
        @*</div>
    </div>
</main>*@


